GradleRunnerUnsupportedFeatureFailureIntegrationTest.groovy

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Users need to indicate that they intend to use automatic classpath wiring

- makes it work less magical

- allows better documentation

- better error reporting

- better control and more flexibilty when testing Gradle versions < 2.8

+review REVIEW-5839

    • -11
    • +11
    ./GradleRunnerUnsupportedFeatureFailureIntegrationTest.groovy
  1. … 10 more files in changeset.
Avoid cross-version testing for single use case

+review REVIEW-5839

    • -0
    • +39
    ./GradleRunnerUnsupportedFeatureFailureIntegrationTest.groovy
  1. … 2 more files in changeset.
Isolate the test that test that we fail properly when trying to use a runner feature with an incompatible Gradle version.

+review REVIEW-5698

    • -0
    • +122
    ./GradleRunnerUnsupportedFeatureFailureIntegrationTest.groovy
  1. … 2 more files in changeset.